Open topic with navigation

TIBCO BusinessEvents® Enterprise Edition 6.3.1

# Legacy ActiveSpaces Cache OM Settings Reference

To set up the Legacy ActiveSpaces cache, you can configure the object management settings in the CDD file. All settings can use global variables.

For the related procedure, see Setting Up Legacy ActiveSpaces as Cluster and Cache Provider.

Legacy ActiveSpaces Cache OM Settings
Property | Description
--- | ---
Cache Agent Quorum | Specifies a minimum number (quorum) of storage-enabled nodes that must be active in the cluster when the system starts up before the following occur: Data is preloaded from the backing store, if a backing store is configured and preloading is configured. The other agents in the cluster become fully active. The property does not affect the running of the deployed application after startup (though a message is written to the log file if the number of cache agents running falls below the number specified in this property). As a guideline, set the number of cache agents are configured. Default is `1`.
Number of Backup Copies | The number of back-up copies (also known as the back-up count) specifies the number of members of the distributed cache service that hold the back-up data for each unit of storage in the cache. Recommended values are 0, 1, or 2. A value of 0 means that in the case of abnormal termination, some portion of the data in the cache is lost. A value of N means that if up to N cluster nodes terminate at once, the cache data is preserved. A back-up count of 1 means that one server plus one backup is needed, that is, two cache agents (or storage-enabled nodes if cache agents are not used). To maintain the partitioned cache of size M, the total memory usage in the cluster does not depend on the number of cluster nodes and is in the order of M*(N+1). See Asynchronous Replication of Cache Objects for details on replication behavior and options for Legacy ActiveSpaces cluster. Default is `1`.
Entity Cache Size | Specifies the size of the limited cache, in the number of cache entries for each object type. The setting is per processing unit. See Configuring a Limited (or Unlimited) Cache. The default is `10000` (entries per object type)
Object Table Cache Size | Specifies the maximum size of the object table cache, in number of entries. Used with limited cache only. See The Role of the object table in TIBCO BusinessEvents Architect’s Guide for more details about the object table. Also see Configuring a Limited (or Unlimited) Cache. Default is `100000` entries
Discovery URL | Specifies how an engine (node) listens for discovery requests from nodes attempting to join the cluster. The PGM protocol is supposed for multicast discovery. TCP Protocol is supported for unicast discovery
ListenUrl | The discovery mechanism is based on pure TCP. All the designated well-known metaspace members are identified by an IP address and a port number.
Remote Listen URL | Specifies on which IP address and TCP port this proxy metaspace member is listening for the remote client connections.
Protocol Timeout | Indicates the protocol timeout value for space. The protocol can be unicast or multicast. The default value is `-1` (forever).
Read Timeout | Indicates the read timeout value for the space, if a read timeout has been set. It specifies the read timeout value for a specified `SpaceDef`. The read timeout value applies to Get operations. The default value is `60000` (ms).
Write Timeout | Indicates the write timeout value for the space, if a write timeout has been set. Specifies the write timeout value that is set for the space. The write timeout value applies to `Put`, `Take`, `Lock`, and `Unlock` operations. The default value is `60000` (ms).
Lock Timeout | For a space that is locked, it specifies how long a member process waits for it to become unlocked. The default is `-1` (forever). Other valid values are 0 or any positive value.
Shutdown wait | Indicates the shutdown wait value for the space. The default value is `8500` (ms).
Worker Thread Count | Indicates the thread count specified for the space. The default value is `4`.
Security Enabled | Enables Transport level security for the DataGrid when selected. The following fields are displayed only if the Security Enabled checkbox is selected: Policy File Policy File Identity Password Token File Token File Identity Password LDAP Identity File Domain Username Password
Policy File | Absolute path to the policy file that contains the security settings that the controller node enforces. It is generated using the `as-admin` utility.
Policy File Identity Password | The password for the identity key in the security policy file.
Token File | Absolute path to the token file that is used by the requestor to connect to a metaspace whose security is defined in the policy file.
Token File Identity Password | The password for the identity key in the security token file.
LDAP Identity File | The absolute path for a file containing the key to use for LDAP with the certificate-based authentication.
Domain | Optional. Domain name for system-based user authentication.
User Name | Username for LDAP and system-based authentication.
Password | Password for LDAP and system-based authentication. In case the authentication type in the policy file is "x509" then this is the password for the private key in the LDAP Identity File.

Did you find this helpful?

YesNo
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO BusinessEvents® Enterprise Edition

Copyright © 2004-2024. Cloud Software Group, Inc. All Rights Reserved.